Subject: 25.0.92; Emacs hangs if you :propertize a minor-mode lighter with a display property

From: Artur Malabarba <[email-masked]>
Date: Fri, 01 Apr 2016 10:45:43 -0300

>From emacs -q evaluate the following:

    (define-minor-mode buggy nil t (:propertize "HI" display "there"))

Emacs will hang completely (`C-g' does nothing and I'm forced to `kill
-9' it).

Oddly enough, it seems the issue does not happen if I'm using a theme
whose `mode-line' face has a background property.

ps: I understand there's no reason to define a minor-mode lighter like
the above, but I ran into this issue while applying other display
properties to arbitrary minor modes.